Package org.eclipse.net4j.util.ui.chat

# Class ChatRenderer.DateLine

java.lang.Object
org.eclipse.net4j.util.ui.chat.ChatRenderer.Renderable
org.eclipse.net4j.util.ui.chat.ChatRenderer.DateLine

Enclosing class:
  ChatRenderer

public static final class ChatRenderer.DateLine extends ChatRenderer.Renderable

Author:
  Eike Stepper

## Method Summary

Modifier and Type
Method
Description
`final LocalDate`
`getDate()`
`protected void`
`renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getDate

public final LocalDate getDate()

### renderHTML

protected void renderHTML(ChatRenderer renderer, StringBuilder html, Map<String,Object> properties)

Specified by:
  `renderHTML` in class `ChatRenderer.Renderable`